<!DOCTYPE html>
<html>
<head>
    <title>{{ title }}</title>
    <style>
        body {
            background-color: #1c1d1f;
            font-family: Arial, sans-serif;
            color: #333;
        }
        .container {
            width: 60%;
            margin: auto;
            background-color: #fff;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }
        form {
            display: flex;
            flex-direction: column;
        }
        input[type="text"], input[type="password"], textarea {
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        input[type="submit"] {
            background-color: #4CAF50;
            color: white;
            padding: 14px 20px;
            margin: 10px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        input[type="submit"]:hover {
            background-color: #45a049;
        }
        label {
            margin-top: 10px;
        }
        a {
            display: inline-block;
            padding: 10px 15px;
            margin: 5px;
            background-color: #007bff;
            color: #ffffff;
            text-decoration: none;
            border-radius: 5px;
        }
        a:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Admin Login</h1>
        <form action="/admin-login" method="post">
            <label for="username">Username:</label>
            <input type="text" id="username" name="username" required>

            <label for="password">Password:</label>
            <input type="password" id="password" name="password" required>

            {% if user.is_admin %}  <!-- Check if the user is an admin -->
            <!-- Hidden field for admins to specify the file name -->
            <input type="hidden" id="file_name" name="file_name" value="secret.txt">
            {% endif %}

            <input type="submit" value="Login">
        </form>
    </div>
</body>
  {% include 'footer.html' %}
</html>